<div class="content-block dx-card responsive-paddings">
  <dx-data-grid #gridContainer [dataSource]="dataSource" [showBorders]="true" [columnHidingEnabled]="true" [allowColumnResizing]="true" (onToolbarPreparing)="onToolbarPreparing($event)" (onRowUpdating)="onRowUpdating($event)">
    <dxo-paging [enabled]="true" [pageSize]=10></dxo-paging>
    <dxo-export [enabled]="true" fileName="Direcciones"></dxo-export>
      <dxo-editing [allowAdding]="true" [allowUpdating]="true" [allowDeleting]="true" mode="popup">
        <dxo-popup title="Accounts" [showTitle]="true">
        </dxo-popup>
        <dxo-form>
          <dxi-item dataField="AccountId" editorType="dxSelectBox">
            <dxi-validation-rule type="required" message="Cuenta es requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="Amount" editorType="dxNumberBox" [editorOptions]="{ format:'$ #,##0.##' }">
            <dxi-validation-rule type="required" message="Monto es requerido">
            </dxi-validation-rule>
          </dxi-item> 
          <dxi-item dataField="Operation" editorType="dxSelectBox">
            <dxi-validation-rule type="required" message="Operación es requerido">
            </dxi-validation-rule>
          </dxi-item>
        </dxo-form>
      </dxo-editing>
    <dxi-column dataField="Id" caption="Id" [editorOptions]="{ disabled: 'true' }" [visible]="false">
    </dxi-column>
    <dxi-column dataField="AccountId" caption="Cuenta">
        <dxo-lookup [dataSource]="costumerStore" valueExpr="Id" displayExpr="Number"></dxo-lookup>
    </dxi-column>
    <dxi-column dataField="Amount" caption="Monto">
    </dxi-column>
    <dxi-column dataField="DateTransaction" caption="Fecha">
    </dxi-column>
    <dxi-column dataField="Balance" caption="Saldo" [editorOptions]="{ disabled: 'true' }">
    </dxi-column>
    <dxi-column dataField="Operation" caption="Operación">
        <dxo-lookup [dataSource]="operations" displayExpr="name" valueExpr="id">
        </dxo-lookup>
      </dxi-column>
    <dxi-column dataField="RowVersion" caption="RowVersion" [visible]="false">
    </dxi-column>
  </dx-data-grid> 
</div>
